# Operative container types

Operative container types provide a structured approach to categorize and handle containers within fulfillment operations, covering the picking, packing, and handover processes. The central container type definition, `OperativeContainerType`, is utilized across all modules of the platform.

### Creating an operative container type

A new operative container type can be created by sending a request to the API.

To enable an operative container type for a specific process, specify the desired operations in the `allowedOperativeTypes` field. The available values are `PICKING`, `PACKING_TARGET`, `PACKING_SOURCE`, and `HANDOVER`.

```http
POST https://{YOUR-TENANT-NAME}.api.fulfillmenttools.com/api/operativecontainertypes
```

```json
{
  "nameLocalized": {
    "de_DE": "Standardbox M",
    "en_US": "Standard Box M"
  },
  "descriptionLocalized": {
    "de_DE": "Eine mittelgroße Box für Standardversand.",
    "en_US": "A medium-sized box for standard shipping."
  },
  "iconUrl": "https://example.com/icon.png",
  "priority": 5,
  "dimensions": {
    "heightInCm": 50,
    "lengthInCm": 100,
    "weightInG": 1700,
    "widthInCm": 25.5
  },
  "weightLimitInG": 2500,
  "allowedOperativeTypes": [
    "PICKING",
    "PACKING_TARGET"
  ],
  "scannableIdentifiers": [
    {
      "searchType": "CONTAINS",
      "identifiers": [
        "BOX-M"
      ]
    }
  ],
  "icon": {
    "content": "<base64-encoded-data>",
    "name": "example.pdf"
  }
}
```

To use an operative container type in a specific process, specify the desired operations, such as `PICKING`, `PACKING_TARGET`, `PACKING_SOURCE`, and `HANDOVER`, using the `allowedOperativeTypes` enumeration.

If the request is successful, a `201 CREATED` response is received with a body like this:

```json
{
  "id": "5f09e57b-571a-45d9-96bd-020308275dd6",
  "name":"Standardbox M",
  "nameLocalized": {
    "de_DE": "Standardbox M",
    "en_US": "Standard Box M"
  },
  "description": "Eine mittelgroße Box für Standardversand.",
  "descriptionLocalized": {
    "de_DE": "Eine mittelgroße Box für Standardversand.",
    "en_US": "A medium-sized box for standard shipping."
  },
  "iconUrl": "https://example.com/icon.png",
  "priority": 5,
  "dimensions": {},
  "weightLimitInG": 500,
  "iconUrl": "https://cdn-icons-png.flaticon.com/512/1380/1380641.png",
  "allowedOperativeTypes": [
    "PICKING",
    "PACKING_TARGET"
  ],
  "scannableIdentifiers": [
    {
      "identifiers": [
        "BOX-M"
      ],
      "searchType": "CONTAINS"
    }
  ],
  "customAttributes": {},
  "version": 1,
  "lastModified": "2025-06-04T15:35:29.659Z",
  "created": "2025-06-04T15:35:29.659Z"
}
```

{% hint style="warning" %}
To enable the packing process in the Operations App, the `allowedOperativeTypes` field must include `PACKING_TARGET`.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/by-pillar/store-operations/packing/operative-container-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
